Payment types for reports
GET
/v1/transaction-report-payments
const url = 'https://api-admin.billz.ai/v1/transaction-report-payments?start_date=2026-08-01&end_date=2026-08-31&shop_ids=fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6%2C92302dfb-fa33-4e6a-8d19-87214852b25d';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/transaction-report-payments?start_date=2026-08-01&end_date=2026-08-31&shop_ids=fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6%2C92302dfb-fa33-4e6a-8d19-87214852b25d' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”start_date
string format: date
Example
2026-08-01Format YYYY-MM-DD, without time
end_date
string format: date
Example
2026-08-31Format YYYY-MM-DD, without time
shop_ids
Array<string>
Example
[ "fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6", "92302dfb-fa33-4e6a-8d19-87214852b25d"]Header Parameters
Section titled “Header Parameters”platform-id
string
Platform identifier. A static value is used for integrations.
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
payment_types
Array<object>
object
payment_type_id
string
payment_type_name
string
Examplegenerated
{ "payment_types": [ { "payment_type_id": "example", "payment_type_name": "example" } ]}